Fs2 open on Linux/Novell SuSE and the Dependencies

From FreeSpace Wiki

Jump to: navigation, search
« Common Compile-time Errors The fs2_open on Linux Guide
Novell SuSE and the Dependencies
SDL: undefined reference to ... »

If your SuSE gives you some errors like this, during the compile process, your OpenAL version is too old or corrupted.

sound/ds.cpp: In function 'int ds_init(int, int, unsigned int, short unsigned int)':
sound/ds.cpp:1790: error: invalid conversion from 'const char*' to 'const ALubyte*'
sound/ds.cpp:1790: error:   initializing argument 1 of 'ALboolean
  alIsExtensionPresent(const ALubyte*)'

You have to remove all OpenAL-packages via YaST, you may also want to remove TORCS, too, it won't run anymore after this. Unfortunately there is no repository with a newer version for this distro, yet, so you have to use a source-package for Fedora. You get it here http://download.fedora.redhat.com/pub/fedora/linux/extras/5/SRPMS/openal-0.0.9-0.6.20060204cvs.fc5.src.rpm The version may change, so you better check this. Now make sure, that TexInfo is installed. Then enter:

$ rpmbuild --rebuild --target=i686 <name-of-your-package>.fc5.src.rpm

If it builds without errors, you will find an OpenAL*.rpm and an OpenAL*-devel.rpm in /usr/src/packages/RPMS/i686/. Install both and go back to your fs_open directory again. Cause the environment has changed now, you better type:

$ make clean
$ ./configure [options]
$ make

Then you're done.

Personal tools